com.sun.mail.util

## Class MimeUtil

- java.lang.Object
- - com.sun.mail.util.MimeUtil

-     public class MimeUtil
      extends Object

  General MIME-related utility methods.
  Since:
    JavaMail 1.4.4
  Author:
    Bill Shannon

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `cleanContentType(MimePart mp, String contentType)` If a Content-Type handler has been specified, call it to clean up the Content-Type value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cleanContentType

          public static String cleanContentType(MimePart mp,
                                String contentType)

      If a Content-Type handler has been specified, call it to clean up the Content-Type value.
      Parameters:
        `mp` - the MimePart
        `contentType` - the Content-Type value
      Returns:
        the cleaned Content-Type value

Copyright © 2016 Oracle. All rights reserved.